Skip to main content
GET
/
api
/
2.0
/
injections
/
{id}
Retrieve Injection
curl --request GET \
  --url https://sandbox.elationemr.com/api/2.0/injections/{id}/ \
  --header 'Authorization: Bearer <token>'
{
  "dose": "<string>",
  "given_date": "2023-11-07T05:31:56Z",
  "ndc": "<string>",
  "contraindication": "<string>",
  "created_date": "2023-11-07T05:31:56Z",
  "deleted_date": "2023-11-07T05:31:56Z",
  "dose_in_series": 1,
  "expiration_date": "2023-12-25",
  "given_by": {
    "name": "<string>",
    "type": "<string>",
    "user_id": 123
  },
  "id": 123,
  "is_confidential": true,
  "is_new": true,
  "is_permanent": true,
  "lot_number": "<string>",
  "manufacturer": "<string>",
  "notes": "<string>",
  "ordered_by": {
    "name": "<string>",
    "type": "<string>",
    "user_id": 123
  },
  "packaged_medication_id": 123,
  "patient": 123,
  "practice": 123,
  "procedures": {
    "code": "<string>",
    "dxs": [
      {
        "code": "<string>",
        "system": "<string>"
      }
    ],
    "modifier_1": "<string>",
    "modifier_2": "<string>",
    "modifier_3": "<string>",
    "modifier_4": "<string>"
  },
  "reason": "<string>",
  "reference_medication_id": 123,
  "service_location_id": 123
}

Documentation Index

Fetch the complete documentation index at: https://help.elationhealth.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
integer<int64>
required

Response

200 - application/json
dose
string<decimal> | null
required
Pattern: ^-?\d{0,18}(?:\.\d{0,9})?$
given_date
string<date-time>
required
ndc
string | null
required
contraindication
string | null
created_date
string<date-time> | null
read-only
deleted_date
string<date-time> | null
read-only
dose_in_series
integer | null
Required range: x >= 0
dose_unit
enum<string> | null
  • dL - Deciliter
  • g - Gram
  • kg - Kilogram
  • kL - Kiloliter
  • L - Liter
  • mCi - Millicurie
  • mg - Milligram
  • mL - Milliliter
  • ug - Microgram
  • uL - Microliter
  • tab - Tablet
Available options:
dL,
g,
kg,
kL,
L,
mCi,
mg,
mL,
ug,
uL,
tab
expiration_date
string<date> | null
given_by
object
id
integer
read-only
is_confidential
boolean
read-only

Check if this object is confidential.

Returns: True if confidential, False otherwise

is_new
boolean
is_permanent
boolean
lot_number
string | null
Maximum string length: 255
manufacturer
string | null
method
  • Intravenous - Intravenous
  • Intramuscular - Intramuscular
  • Subcutaneous - Subcutaneous
  • Intradermal - Intradermal
  • Other - Other
Available options:
Intravenous,
Intramuscular,
Subcutaneous,
Intradermal,
Other
notes
string | null
ordered_by
object
packaged_medication_id
integer<int64> | null
read-only
patient
integer<int64>
read-only
practice
integer<int64>
read-only
procedures
object
reason
string | null
reference_medication_id
integer<int64>
read-only
service_location_id
integer<int64> | null
site
  • Abdomen - Abdomen
  • R Anterolateral Thigh - R Anterolateral Thigh
  • L Anterolateral Thigh - L Anterolateral Thigh
  • R Posterior Upper Arm - R Posterior Upper Arm
  • L Posterior Upper Arm - L Posterior Upper Arm
  • R Upper Arm - R Upper Arm
  • L Upper Arm - L Upper Arm
  • R Deltoid - R Deltoid
  • L Deltoid - L Deltoid
  • R Gluteus Maximus - R Gluteus Maximus
  • L Gluteus Maximus - L Gluteus Maximus
  • R Gluteus Medius - R Gluteus Medius
  • L Gluteus Medius - L Gluteus Medius
  • R Thigh - R Thigh
  • L Thigh - L Thigh
  • Back - Back
  • R Forearm - R Forearm
  • L Forearm - L Forearm
  • R Antecubital Fossa - R Antecubital Fossa
  • L Antecubital Fossa - L Antecubital Fossa
  • R Hand - R Hand
  • L Hand - L Hand
  • Other - Other
Available options:
Abdomen,
R Anterolateral Thigh,
L Anterolateral Thigh,
R Posterior Upper Arm,
L Posterior Upper Arm,
R Upper Arm,
L Upper Arm,
R Deltoid,
L Deltoid,
R Gluteus Maximus,
L Gluteus Maximus,
R Gluteus Medius,
L Gluteus Medius,
R Thigh,
L Thigh,
Back,
R Forearm,
L Forearm,
R Antecubital Fossa,
L Antecubital Fossa,
R Hand,
L Hand,
Other